Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.regexp.xmlschema
Class XSAcceptor

    java.lang.Object
      com.sun.msv.verifier.regexp.ExpressionAcceptor
          com.sun.msv.verifier.regexp.ContentModelAcceptor
              com.sun.msv.verifier.regexp.SimpleAcceptor
                  com.sun.msv.verifier.regexp.xmlschema.XSAcceptor

All Implemented Interfaces:
  Acceptor

public class XSAcceptor
extends SimpleAcceptor

Acceptor implementation for XSREDocDecl.

This class should be considered as a "quick-hack" to better accomodate W3C XML Schema.

Field Summary
`static java.lang.String` | `XMLSchemaNamespace`
`static java.lang.String` | `XSINamespace`

Fields inherited from class com.sun.msv.verifier.regexp.SimpleAcceptor
`continuation, owner`

Fields inherited from interface com.sun.msv.verifier.Acceptor
`STRING_IGNORE, STRING_PROHIBITED, STRING_STRICT`

Constructor Summary
`XSAcceptor(XSREDocDecl docDecl, Expression combined, ElementExp owner, Expression continuation)`

Method Summary
`Acceptor` | `createChildAcceptor(StartTagInfo sti, StringRef refErr)` creates combined child acceptor and primitive child acceptors (if necessary).
`Acceptor` | `createClone()` clones this acceptor.

Methods inherited from class com.sun.msv.verifier.regexp.SimpleAcceptor
`getOwnerType`

Methods inherited from class com.sun.msv.verifier.regexp.ContentModelAcceptor
`stepForward`

Methods inherited from class com.sun.msv.verifier.regexp.ExpressionAcceptor
`getExpression, getStringCareLevel, isAcceptState, onAttribute, onAttribute2, onEndAttributes, onText, onText2, stepForwardByContinuation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSINamespace

    public static final java.lang.String XSINamespace

See Also:
  Constant Field Values

### XMLSchemaNamespace

    public static final java.lang.String XMLSchemaNamespace

See Also:
  Constant Field Values

Constructor Detail

### XSAcceptor

    public XSAcceptor(XSREDocDecl docDecl,
                      Expression combined,
                      ElementExp owner,
                      Expression continuation)

Method Detail

### createClone

    public Acceptor createClone()

  Description copied from interface: `Acceptor`
  clones this acceptor.

  You can keep a "bookmark" of the acceptor by cloning it. This is useful when you are trying to perform "partial validation".

  Cloned acceptor will behave in exactly the same way as the original one.

  Specified by:
    `createClone` in interface `Acceptor`
  Overrides:
    `createClone` in class `SimpleAcceptor`

### createChildAcceptor

    public Acceptor createChildAcceptor(StartTagInfo sti,
                                        StringRef refErr)

  Description copied from class: `ExpressionAcceptor`
  creates combined child acceptor and primitive child acceptors (if necessary). be careful not to keep returned object too long because it is reused whenever the method is called.

  Specified by:
    `createChildAcceptor` in interface `Acceptor`
  Overrides:
    `createChildAcceptor` in class `ExpressionAcceptor`
  Returns:
    null if errRef is null and this expression cannot accept given start tag. if errRef is non-null and error recovery is not possible.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD